Name:           perl-BackPAN-Index
Version:        0.40
Release:        4%{?dist}
Summary:        Interface to the BackPAN index
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/BackPAN-Index/
Source0:        http://www.cpan.org/authors/id/M/MS/MSCHWERN/BackPAN-Index-%{version}.tar.gz
# force tests to run with local backpan index
Patch0:         test-no-internet.patch
BuildArch:      noarch
BuildRequires:  perl(App::Cache) >= 0.37
BuildRequires:  perl(Archive::Extract)
BuildRequires:  perl(autodie)
BuildRequires:  perl(CLASS) >= 1.00
BuildRequires:  perl(Class::Accessor::Fast)
BuildRequires:  perl(CPAN::DistnameInfo) >= 0.09
BuildRequires:  perl(DBD::SQLite) >= 1.25
BuildRequires:  perl(DBIx::Class) >= 0.08109
BuildRequires:  perl(DBIx::Class::Schema::Loader) >= 0.05003
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Spec::Unix)
BuildRequires:  perl(LWP::Simple)
BuildRequires:  perl(Module::Build) >= 0.3700
BuildRequires:  perl(parent)
BuildRequires:  perl(Path::Class) >= 0.17
BuildRequires:  perl(Test::Compile) >= 0.11
BuildRequires:  perl(Test::More) >= 0.90
BuildRequires:  perl(URI::file)
Requires:       perl(CLASS) >= 1.00
Requires:       perl(Class::Accessor::Fast)
Requires:       perl(DBD::SQLite) >= 1.25
Requires:       perl(DBIx::Class) >= 0.08109
Requires:       perl(DBIx::Class::Schema::Loader) >= 0.05003
Requires:       perl(Path::Class) >= 0.17
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# Parse::BACKPAN::Packages is deprecated in favor of BackPAN::Index
Obsoletes:      perl-Parse-BACKPAN-Packages <= 0.35

%{?perl_default_filter:
%filter_from_requires /perl(CLASS)$/d;/perl(Path::Class)$/d
%perl_default_filter
}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\((CLASS|Path::Class)$\\)

%description
This downloads, caches and parses the BackPAN index into a local database
for efficient querying.

%prep
%setup -q -n BackPAN-Index-%{version}
%patch0 -p 1

sed -i -e '1s~^#!.*perl~#!%{__perl}~' examples/backpan.pl

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
BACKPAN_INDEX_TEST_NO_INTERNET=1 ./Build test

%files
%defattr(-,root,root,-)
%doc CHANGES examples LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.40-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jul 21 2011 Iain Arnell <iarnell@gmail.com> 0.40-3
- update filtering for rpm 4.9

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 0.40-2
- Perl mass rebuild

* Sun Mar 20 2011 Iain Arnell <iarnell@gmail.com> 0.40-1
- update to latest upstream version
- run tests with BACKPAN_INDEX_TEST_NO_INTERNET
- patch TestUtils.pm to force BACKPAN_INDEX_TEST_NO_INTERNET

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.39-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jan 05 2011 Iain Arnell <iarnell@gmail.com> 0.39-2
- additional buildrequires for dual-lived modules
- filter underspecified requires

* Sun Dec 19 2010 Iain Arnell <iarnell@gmail.com> 0.39-1
- Specfile autogenerated by cpanspec 1.78.
- obsoletes perl-Parse-BACKPAN-Packages
